VOP_BLKATOFF(9)

NAME
VOP_BLKATOFF - return a filesystem buffer for part of a file

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
#include <sys/buf.h>
int
VOP_BLKATOFF(struct vnode *vp, off_t offset, char **res, struct buf **bpp);

DESCRIPTION

The arguments are:

vp  The vnode representing the file.

offset
    The byte offset into the file where the buffer should start.

res Return parameter for a pointer to the last valid byte in the buffer.

bpp Return parameter for the buffer.

Return buffer with the contents of block offset from the beginning of file ip. res is non-zero, fill it in with a pointer to the remaining space in the directory.

This call is only used internally by the UFS filesystem.

RETURN VALUES
Zero is returned on success, otherwise an error is returned.

SEE ALSO
vnode(9), buf(9)

AUTHORS
This man page was written by Doug Rabson.